namespace Db.Models;

public class Video
{
    // Disable warning as Id is required but not set in the constructor.
    // This is to ensure that the Id is set by the database when the entity is added
#pragma warning disable CS8618
    public string Id { get; set; }
#pragma warning restore CS8618
    public required string RelativePath { get; set; }


    public ICollection<Tag> Tags { get; set; } = []; 
    public VideoMetadata? Metadata { get; set; }
}